Starmade | Inner ship remote toggles on ANY click, even in menu
Closed, FinishedPublic

Description

The inner ship remote gets toggled with some menus open if you have it selected in your hotbar and you left click.

This is reproducible for other menus too, like when holding Tab (player list). It's fine for the Inventory/Catalog/Faction/... menu.

Details

Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.19603 (Dev)
Issue Type
Bug
Category
Control Block System: Functional
First occurrence (version)
0.19204 (Dev)
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce
  1. Put inner ship remote on hotbar
  2. highlight it
  3. open chat and click
Tester information (Internal use only)

Same behaviour as before

Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake created this task.Jun 6 2015, 11:54 AM
lancake changed Category from none/unspecified to Control Block System: Functional.
lancake changed Affected Gamemode(s) from none/unspecified to Single and Multi.
lancake set First occurrence (version) to 0.19204 (Dev).
lancake changed Reproducible from uncertain to Yes.
lancake set Last tested (version) to 0.19247 (Dev).
lancake edited a custom field.
lancake edited Serverconfig (server.cfg). (Show Details)
lancake edited Clientconfig (settings.cfg). (Show Details)
lancake added a subscriber: lancake.
lancake moved this task from Open / Validated to Confirmed on the Workflow Issue Navigation board.
lancake changed the task status from "Open" to "In Queue (Game)".
AndyP shifted this object from the S1 Public space to the S3 Starmade space.Aug 11 2015, 10:23 PM
AndyP changed the edit policy from "Starmade (Project)" to "All Users".
AndyP set Issue Type to Bug.
AndyP set OS-Specific to No.
AndyP set Hardware-Specific to No.
AndyP set Video Card Vendor to uncertain.
lancake claimed this task.Sep 21 2015, 10:48 AM
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 9 2016, 8:42 PM
schema added a subscriber: schema.
lancake changed the task status from "Resolved" to "In Queue (Game)".Mar 10 2016, 3:12 PM

-QA Testing-

Same behaviour as before

lancake edited the task description. (Show Details)Mar 10 2016, 3:13 PM
lancake changed Last tested (version) from 0.19247 (Dev) to 0.19602 (Dev).
lancake edited Steps to reproduce. (Show Details)
lancake edited Tester information (Internal use only). (Show Details)
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 12 2016, 4:20 PM

was only fixed for menus. now fixed for chat etc

lancake closed this task as "Closed".Mar 12 2016, 6:38 PM

-QA Testing-

Fix confirmed.

Still happens for:

  • player list (holding tab) but that happens for the rest too and i don't think it's a bug.
  • the F3 menu (shows you loaded entities i think) but that one is deprecated, needs to be updated at some point and probably then this one is fixed for it too.
Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptMar 12 2016, 6:38 PM
lancake changed Last tested (version) from 0.19602 (Dev) to 0.19603 (Dev).Mar 12 2016, 6:39 PM

Add Comment